Orxonox: orxonox::EnergyDrink Class Reference

# orxonox::EnergyDrink Class Reference

`#include <src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h>`

Inheritance diagram for orxonox::EnergyDrink:

List of all members.

## Public Member Functions

| EnergyDrink (BaseObject *creator)
virtual void | fire ()
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~EnergyDrink ()

## Private Member Functions

float | getDelay () const
const std::string & | getMaterial ()
void | muendungsfeuer ()
void | setDelay (float d)
void | setMaterial (const std::string &material)
void | shot ()

## Private Attributes

float | delay_
Timer< EnergyDrink > | delayTimer_
std::string | material_
float | speed_

## Constructor & Destructor Documentation

orxonox::EnergyDrink::EnergyDrink | ( | BaseObject * | creator | ) |

References orxonox::createExecutor(), orxonox::WeaponMode::damage_, delay_, delayTimer_, RegisterObject, orxonox::WeaponMode::reloadTime_, orxonox::WeaponMode::setMunitionName(), shot(), and speed_.

virtual orxonox::EnergyDrink::~EnergyDrink | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::EnergyDrink::fire | ( |  | ) | `[virtual]`

Implements orxonox::WeaponMode.

References delayTimer_.

float orxonox::EnergyDrink::getDelay | ( |  | ) | const`[private]`

References delay_.

Referenced by XMLPort().

const std::string& orxonox::EnergyDrink::getMaterial | ( |  | ) | `[inline, private]`

Referenced by XMLPort().

void orxonox::EnergyDrink::muendungsfeuer | ( |  | ) | `[private]`

References orxonox::WorldEntity::attach(), orxonox::WeaponMode::getMuzzleOffset(), orxonox::WeaponMode::getWeapon(), material_, orxonox::Billboard::setMaterial(), and orxonox::StaticEntity::setPosition().

Referenced by shot().

void orxonox::EnergyDrink::setDelay | ( | float | d | ) | `[private]`

References delay_, and delayTimer_.

Referenced by XMLPort().

void orxonox::EnergyDrink::setMaterial | ( | const std::string & | material | ) | `[private]`

References material_.

Referenced by XMLPort().

void orxonox::EnergyDrink::shot | ( |  | ) | `[private]`

References orxonox::WorldEntity::attach(), orxonox::WeaponMode::getDamage(), orxonox::WeaponMode::getMuzzleDirection(), orxonox::WeaponMode::getMuzzleOrientation(), orxonox::WeaponMode::getMuzzlePosition(), orxonox::WeaponMode::getWeapon(), muendungsfeuer(), orxonox::Model::setCastShadows(), orxonox::Projectile::setDamage(), orxonox::Model::setMeshSource(), orxonox::MovableEntity::setOrientation(), orxonox::Projectile::setOwner(), orxonox::MovableEntity::setPosition(), orxonox::WorldEntity::setScale(), orxonox::MobileEntity::setVelocity(), and speed_.

Referenced by EnergyDrink().

void orxonox::EnergyDrink::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::WeaponMode.

References getDelay(), getMaterial(), setDelay(), setMaterial(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::EnergyDrink::delay_`[private]`

Referenced by EnergyDrink(), getDelay(), and setDelay().

Timer<EnergyDrink> orxonox::EnergyDrink::delayTimer_`[private]`

Referenced by EnergyDrink(), fire(), and setDelay().

std::string orxonox::EnergyDrink::material_`[private]`

Referenced by muendungsfeuer(), and setMaterial().

float orxonox::EnergyDrink::speed_`[private]`

Referenced by EnergyDrink(), and shot().

The documentation for this class was generated from the following files:

- src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h
- src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc